Bug 211050 - panic_on_oops is not set to 1
Summary: panic_on_oops is not set to 1
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dave Anderson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-16 22:41 UTC by Dave Anderson
Modified: 2008-05-01 15:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 20:52:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Anderson 2006-10-16 22:41:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:

In all RHEL kernels to date, the panic_on_oops variable
has been initialized to 1.  In RHEL5, it defaults to 0.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.enter alt-sysrq-c in a kernel without a kdump kernel loaded, or a xen kernel
2.
3.

Actual Results:
console displays "Sysrq : Trigger a crashdump",
but system does not crash.


Expected Results:
forced system crash

Additional info:

Comment 1 Don Zickus 2006-10-23 21:07:00 UTC
in kernel-2.6.18-2732.el5

Comment 2 RHEL Product and Program Management 2006-11-13 14:44:30 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Joshua Giles 2006-11-21 20:49:08 UTC
Verified in kernel-2.6.18-2747.el5

Comment 4 Joshua Giles 2006-12-18 20:52:38 UTC
In 1207.4 tree.


Note You need to log in before you can comment on or make changes to this bug.